package com.tptj.demo.hg.passport.provider;

import com.fr.decision.authorize.Passport;
import com.fr.decision.webservice.bean.authentication.PassportBean;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-06-02
 **/
public class DemoBean extends PassportBean<DemoPassport> {
    private String code;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String markType() {
        return Demo.TYPE;
    }

    @Override
    public PassportBean createPassportBean(DemoPassport passport) {
        DemoBean bean = new DemoBean();
        bean.setCode(passport.getCode());
        return bean;
    }

    @Override
    public Passport createPassport() {
        DemoPassport passport = new DemoPassport();
        passport.setCode( getCode() );
        return passport;
    }
}
