package com.tptj.demo.hg.passport.provider;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-06-02
 **/
@EnableMetrics
public class DemoResource extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    @Focus(id="com.tptj.demo.hg.passport.provider.v10",text = "passport provider")
    public Atom client() {
        return new Component() {
            @Override
            public ScriptPath script(RequestClient requestClient) {
                return ScriptPath.build("/com/tptj/demo/hg/passport/provider/demo.js");
            }
        };
    }
}
